#############################################################
#                  IMDb Chart Collections                   #
#         Created by Yozora, Bullmoose20, & Sohjiro         #
#############################################################
#  Call this from your config.yml (Movie or Show)           #
#  If nothing is specified these are the defaults           #
#                                                           #
#    metadata_path:                                         #
#      - git: PMM/chart/imdb                                #
#        template_variables:                                #
#          # Sets the collection mode of the collection     #
#          collection_mode:                                 #
#          # Sets the value at the start of the sort title  #
#          collection_section: "01"                         #
#                                                           #
#          # For each collection use the "key" to set       #
#          # the options.                                   #
#          # Available collections                          #
#          #   KEY              COLLECTION                  #
#          #   popular          IMDb Popular                #
#          #   top              IMDb Top 250                #
#          #   lowest           IMDb Lowest Rated           #
#                                                           #
#          # Available options. Replace "key" with the      #
#          # desired collection's key from the chart above. #
#                                                           #
#          # Customize summary of collection                #
#          summary_key: A collection of ...                 #
#          # Turn the collection on/off                     #
#          use_key: true                                    #
#          # Determines collection order in its section     #
#          order_key:                                       #
#          # Determines collection order of the collection  #
#          collection_order_key: custom                     #
#          # Set visible_library for the collection         #
#          visible_library_key:                             #
#          # Set visible_home for the collection            #
#          visible_home_key:                                #
#          # Set visible_shared for the collection          #
#          visible_shared_key:                              #
#          # Adds missing from the collection to radarr     #
#          radarr_add_missing_key:                          #
#          # Adds missing from the collection to sonarr     #
#          sonarr_add_missing_key:                          #
#          # Radarr Folder to add to                        #
#          radarr_folder_key:                               #
#          # Sonarr Folder to add to                        #
#          sonarr_folder_key:                               #
#          # Radarr Tag for added missing                   #
#          radarr_tag_key:                                  #
#          # Sonarr Tag for added missing                   #
#          sonarr_tag_key:                                  #
#          # Radarr Tag for existing items                  #
#          item_radarr_tag_key:                             #
#          # Sonarr Tag for existing items                  #
#          item_sonarr_tag_key:                             #
#############################################################

external_templates:
  git: PMM/templates
  template_variables:
    collection_section: "01"

templates:

  imdb:
    default:
      summary_<<key>>: "List of <<collection_name>> <<library_type>>s"  
    imdb_chart: <<chart>>_<<library_type>>s
    summary: <<summary_<<key>>>>

collections:

  IMDb Popular:
    variables:
      key: popular
    template:
      - name: imdb
        chart: popular
      - name: shared
      - name: arr
      - name: custom

  IMDb Top 250:
    variables:
      key: top
    template:
      - name: imdb
        chart: top
      - name: shared
      - name: arr
      - name: custom

  # IMDb Lowest Rated:
  #   variables:
  #     key: lowest
  #   imdb_chart: lowest_rated
  #   template:
  #     - name: shared
  #       allowed_libraries: movie
  #     - name: arr
  #     - name: custom